Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierDataMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierDataMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class GlacierDataMessage

extends GlacierMessage

See Also:
  Serialized Form

Field Summary
`protected Fragment[]` | `fragments`
`protected FragmentKey[]` | `keys`
`protected Manifest[]` | `manifests`
`static short` | `TYPE`

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierDataMessage(int uid, FragmentKey[] keys, Fragment[] fragments, Manifest[] manifests, NodeHandle source, Id dest, boolean isResponse, char tag)`
`GlacierDataMessage(int uid, FragmentKey key, Fragment fragment, Manifest manifest, NodeHandle source, Id dest, boolean isResponse, char tag)`

Method Summary
`static GlacierDataMessage` | `build(InputBuffer buf, Endpoint endpoint)`
`Fragment` | `getFragment(int index)`
`FragmentKey` | `getKey(int index)`
`Manifest` | `getManifest(int index)`
`short` | `getType()` Raw Serialization
`int` | `numKeys()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### keys

    protected FragmentKey[] keys

### fragments

    protected Fragment[] fragments

### manifests

    protected Manifest[] manifests

Constructor Detail

### GlacierDataMessage

    public GlacierDataMessage(int uid,
                              FragmentKey key,
                              Fragment fragment,
                              Manifest manifest,
                              NodeHandle source,
                              Id dest,
                              boolean isResponse,
                              char tag)

### GlacierDataMessage

    public GlacierDataMessage(int uid,
                              FragmentKey[] keys,
                              Fragment[] fragments,
                              Manifest[] manifests,
                              NodeHandle source,
                              Id dest,
                              boolean isResponse,
                              char tag)

Method Detail

### numKeys

    public int numKeys()

### getKey

    public FragmentKey getKey(int index)

### getFragment

    public Fragment getFragment(int index)

### getManifest

    public Manifest getManifest(int index)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `GlacierMessage`
  Throws:
    `java.io.IOException`

### build

    public static GlacierDataMessage build(InputBuffer buf,
                                           Endpoint endpoint)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.